<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasOne;
use Illuminate\Database\Eloquent\SoftDeletes;

class ProductService extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'order_id',
        'service_type',
        'placement',
        'setup_amount',
        'amount',
        'amount_price',
    ];

    public function order(): BelongsTo
    {
        return $this->belongsTo(Order::class);
    }

    public function serviceFile(): HasOne
    {
        return $this->hasOne(ServiceFile::class);
    }
}
